<script setup>
import { useFavoritosStore } from "@/store/favoritos.js"
import { storeToRefs } from "pinia";

const useFavoritos = useFavoritosStore()

const { favoritos } = storeToRefs(useFavoritos)
const { remove } = useFavoritos
</script>

<template>
    <h1>Favoritos:</h1>
    <p v-if="favoritos.length == 0">Sin Favoritos</p>
    <ul class="list-group">
        <li class="list-group-item d-flex justify-content-around" v-for="poke in favoritos" :key="poke.id">
            <div>
                {{ poke.name }}
            </div>
            <div>
                <router-link :to="`/pokemons/${poke.name}`" class="btn btn-primary btn-sm me-2" >Más Información</router-link>
                <button class="btn btn-danger btn-sm" @click="remove(poke.id)">Eliminar</button>
            </div>
        </li>
    </ul>
</template>